Bug 245495 - window placement bug when starting compiz using desktop-effects
window placement bug when starting compiz using desktop-effects
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
: 355751 (view as bug list)
Depends On: compiz-place-plugin
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-24 06:45 EDT by drago01
Modified: 2008-06-22 16:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.7.6-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-22 16:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
start compiz before gtk-window-decorator (653 bytes, patch)
2007-06-24 06:45 EDT, drago01
no flags Details | Diff
image that shows what happens (164.09 KB, image/png)
2007-08-21 14:33 EDT, drago01
no flags Details
problem is still reproduceable with compiz 0.6 (63.23 KB, image/png)
2007-12-30 12:02 EST, Oded Arbel
no flags Details

  None (edit)
Description drago01 2007-06-24 06:45:23 EDT
Description of problem:

When compiz is started using desktop-effects and there are some windows open it
some of the windows gets moved to weird places (like on top of the panel etc.)
While debugging it I found out that this only happens when gtk-window-decorator
is started before compiz.

The attached patch fixes this for me.
Comment 1 drago01 2007-06-24 06:45:23 EDT
Created attachment 157706 [details]
start compiz before gtk-window-decorator
Comment 2 drago01 2007-06-24 07:45:43 EDT
this solutution does not always work. seems that this needs to be fixed inside
compiz (libdecoration/gtk-window-decorator).
Comment 3 Kristian Høgsberg 2007-08-21 13:54:32 EDT
Is this just the "missing place plugin" bug?  Does

  gconftool-2 --unset /apps/compiz/general/allscreens/options/active_plugins

fix it?
Comment 4 drago01 2007-08-21 14:32:41 EDT
no it doesn't please see this mailing list thread for more details:
http://lists.freedesktop.org/archives/compiz/2007-May/002213.html 

anyway I tryed again and it does happen while the place plugin is loaded.
windows are moved some pixel above the panel and are on top of it.
Comment 5 drago01 2007-08-21 14:33:39 EDT
Created attachment 161996 [details]
image that shows what happens

here you can see what I mean , look at the desktop-effects window.
Comment 6 drago01 2007-08-31 13:18:26 EDT
it seems that I can not reproduce it with 0.5.2 (as using a > 0.5.0  <0.5.2 git
before)
Comment 7 Oded Arbel 2007-12-30 12:02:28 EST
Created attachment 290552 [details]
problem is still reproduceable with compiz 0.6

I have the same problem with Fedora 8 and Compiz 0.6 - non-maximized windows,
when they appear tend to put themselves at the top left corner - regardless of
the location of the panel. Problem is - the panel is there and its always on
top (unlike the screenshot in comment #5 - the situation it depicts can't be
done on my desktop), and as the panel is always on top the window title is
hidden from view and one has to ALT-drag the window to get it back. I'm pretty
sure that ALT-dragging is not a common user action for some types of users
(namely MS-Windows converts) so this might seem like an impossible problem for
many people.

I think this can be easily fixed by smarter positioning in compiz (as currently
it pretty dumbly always position windows at 0,0), and I'm pretty sure there's
such a smart positioning plugin available from compiz fusion.
Comment 8 Oded Arbel 2007-12-30 12:19:23 EST
*** Bug 355751 has been marked as a duplicate of this bug. ***
Comment 9 Matěj Cepl 2008-01-10 11:35:10 EST
All,

do you have place plugin in /apps/compiz/general/allscreens/options/active_plugins

run 

gconftool-2 --get /apps/compiz/general/allscreens/options/active_plugins

to find out. If not, try to add it there with gconf-editor (I don't know how to
manage lists with gconftool-2).

Does it help?
Comment 10 drago01 2008-01-10 11:44:01 EST
yes , place is loaded. and it does no longer happen in the same way for me see
comment 6 
Its just that the panel is not ontop but clicking on it fixes it.
But I don't have any weird placed windows.
Comment 11 Oded Arbel 2008-01-10 13:42:29 EST
With "place" plugin enabled, I can't reproduce this problem. I can't say that
placing is perfect, but its not broken anymore.
Comment 12 Matěj Cepl 2008-01-31 11:18:49 EST
This is duplicate of bug 230149, but for F7.
Comment 13 Bug Zapper 2008-05-14 09:15:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Oded Arbel 2008-05-14 16:40:44 EDT
Regarding the above EOL message:
drago01 - can you please change the version number of this ticket to 8 or 9 ? I
can reproduce this problem on Fedora 8 but haven't tried on 9 yet.
Comment 15 Fedora Update System 2008-06-14 02:26:40 EDT
ccsm-0.7.6-2.fc9,compizconfig-python-0.7.6-1.fc9,compizconfig-backend-kconfig-0.7.6-1.fc9,compizconfig-backend-gconf-0.7.6-1.fc9,libcompizconfig-0.7.6-1.fc9,compiz-fusion-extras-0.7.6-1.fc9,compiz-fusion-0.7.6-1.fc9,compiz-0.7.6-2.fc9 has been submitted as an update for Fedora 9
Comment 16 Fedora Update System 2008-06-16 19:33:24 EDT
ccsm-0.7.6-2.fc9, compizconfig-python-0.7.6-1.fc9, compizconfig-backend-kconfig-0.7.6-1.fc9, compiz-fusion-extras-0.7.6-1.fc9, compizconfig-backend-gconf-0.7.6-1.fc9, libcompizconfig-0.7.6-1.fc9, compiz-fusion-0.7.6-1.fc9, compiz-0.7.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ccsm compizconfig-python compizconfig-backend-kconfig compiz-fusion-extras compizconfig-backend-gconf libcompizconfig compiz-fusion compiz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5395
Comment 17 Fedora Update System 2008-06-22 16:44:47 EDT
ccsm-0.7.6-2.fc9, compizconfig-python-0.7.6-1.fc9, compizconfig-backend-kconfig-0.7.6-1.fc9, compiz-fusion-extras-0.7.6-1.fc9, compizconfig-backend-gconf-0.7.6-1.fc9, libcompizconfig-0.7.6-1.fc9, compiz-fusion-0.7.6-1.fc9, compiz-0.7.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.